## f897faa79687.tar.gz

=== src/Makefile ===
HG = hg

TARGET = chg
SRCS = chg.c hgclient.c util.c
OBJS = $(SRCS:.c=.o)

CFLAGS ?= -O2 -Wall -Wextra -pedantic -g
CPPFLAGS ?= -D_FORTIFY_SOURCE=2
override CFLAGS += -std=gnu99

DESTDIR =
PREFIX = /usr/local
MANDIR = $(PREFIX)/share/man/man1

CHGSOCKDIR = /tmp/chg$(shell id -u)
CHGSOCKNAME = $(CHGSOCKDIR)/server

.PHONY: all
all: $(TARGET)

$(TARGET): $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS)

chg.o: hgclient.h util.h
hgclient.o: hgclient.h util.h
util.o: util.h

.PHONY: install
install: $(TARGET)
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 $(TARGET) $(DESTDIR)$(PREFIX)/bin
	install -d $(DESTDIR)$(MANDIR)
	install -m 644 chg.1 $(DESTDIR)$(MANDIR)

.PHONY: serve
serve:
	[ -d $(CHGSOCKDIR) ] || ( umask 077; mkdir $(CHGSOCKDIR) )
	$(HG) serve --cwd / --cmdserver chgunix \
		--address $(CHGSOCKNAME) \
		--config extensions.chgserver= \
		--config progress.assume-tty=1 \
		--config cmdserver.log=/dev/stderr

.PHONY: clean
clean:
	$(RM) $(OBJS)

.PHONY: distclean
distclean:
	$(RM) $(OBJS) $(TARGET)

=== debian/control ===
Source: mercurial-chg
Section: vcs
Priority: optional
Maintainer: Yuya Nishihara <yuya@tcha.org>
Build-Depends: debhelper (>= 9), python-all-dev (>= 2.6.6-3~), dh-python
Standards-Version: 3.9.6
Vcs-Hg: http://bitbucket.org/yuja/chg/
Vcs-Browser: http://bitbucket.org/yuja/chg/

Package: mercurial-chg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 mercurial (>= 3.7~)
Description: Fast Mercurial CLI with background cmdserver
 This provides chg command as a replacement for pure hg executable.
 .
 By using background hg command server, cHg reduces the overhead of
 loading Python modules on each request.
